Skip to content
Справочник APIPlatformPlatform billing

Admin_rotate_vendor_credentials

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

POST
/platform/v1/billing/vendors/{vendor_type}/rotate-credentials

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

vendor_type*string

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/platform/v1/billing/vendors/string/rotate-credentials" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "credentials": {      "secret_key": "string",      "vendor": "stripe"    }  }'
{  "health_error": "string",  "health_ok": true,  "vendor_type": "stripe"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}